Bug 118365 - ggv crashes on a window resize
ggv crashes on a window resize
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ggv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 18:35 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 15:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-03-15 18:35:03 EST
Description of problem:

When resizing its window, or maybe when clicking on one of its
"fit" buttons ggv crashed with the following backtrace
(repeated "no debugging symbols found" strings removed):


Backtrace was generated from '/usr/bin/ggv'

(no debugging symbols found)...
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
[Thread debugging using libthread_db enabled]
[New Thread -150251072 (LWP 3026)]
(no debugging symbols found)...
0x0091b7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x0091b7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00a08ad3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x00aee104 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x08052564 in ggv_window_get_type ()
#5  0x0805264e in ggv_window_get_type ()
#6  0x00dfa5b5 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#7  0x008a3310 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8  0x008b8795 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#9  0x008b752e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#10 0x008b7a54 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#11 0x00f0de12 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#12 0x00f1e047 in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x00f1e0fc in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#14 0x001617c4 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
#15 0x00dfa5b5 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#16 0x008a36a7 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#17 0x008a3310 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#18 0x008b81d5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#19 0x008b752e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#20 0x008b7a54 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#21 0x00f0de12 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#22 0x00df86ac in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x00df7168 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x002b7645 in gdk_x11_register_standard_event_type ()
   from /usr/lib/libgdk-x11-2.0.so.0
#25 0x00515faa in g_main_depth () from /usr/lib/libglib-2.0.so.0
#26 0x00517068 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#27 0x005173a0 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#28 0x005179e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#29 0x00c440b8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#30 0x08053f85 in main ()

Thread 1 (Thread -150251072 (LWP 3026)):
#0  0x0091b7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x00a08ad3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00aee104 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x08052564 in ggv_window_get_type ()
No symbol table info available.
#5  0x0805264e in ggv_window_get_type ()
No symbol table info available.
#6  0x00dfa5b5 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x008a3310 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x008b8795 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x008b752e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x008b7a54 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x00f0de12 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x00f1e047 in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x00f1e0fc in gtk_window_propagate_key_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x001617c4 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
No symbol table info available.
#15 0x00dfa5b5 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x008a36a7 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x008a3310 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x008b81d5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x008b752e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x008b7a54 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x00f0de12 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x00df86ac in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#23 0x00df7168 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x002b7645 in gdk_x11_register_standard_event_type ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#25 0x00515faa in g_main_depth () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#26 0x00517068 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#27 0x005173a0 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#28 0x005179e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#29 0x00c440b8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#30 0x08053f85 in main ()
No symbol table info available.
#0  0x0091b7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2

Version-Release number of selected component (if applicable):
ggv-2.5.99-1
The whole installation is FC2T1 fully updated to "20040312" status.

How reproducible:
I do not know a method to reproduce.
Comment 1 Dan Williams 2004-11-17 13:25:22 EST
Mass reassign to Marco.
Comment 2 Ray Strode [halfline] 2005-09-09 15:54:30 EDT
Hi Michal,

We don't really support ggv anymore.  Evince is our new preferred pdf/postscript
file viewer.

Have you tried it?
Comment 3 Michal Jaegermann 2005-09-09 16:19:53 EDT
> Evince is our new preferred pdf/postscript file viewer.
> Have you tried it?

Indeed I did.  I filed a long list of bugs in various versions of evince.

Note You need to log in before you can comment on or make changes to this bug.